## norm 1.0-4

=== DESCRIPTION ===
Package: norm
Version: 1.0-4
Date: 2001/01/13
Title: Analysis of multivariate normal datasets with missing values
Author:	Ported to R by Alvaro A. Novo <novo@uiuc.edu>.
	Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: Alvaro A. Novo <novo@uiuc.edu>
Description: Analysis of multivariate normal datasets with missing values
License: The software may be distributed free of charge and
		used by anyone if credit is given. It has been tested 
		fairly well, but it comes with no guarantees and the 
		authors assume no liability for its use or misuse. 
URL: http://www.stat.psu.edu/~jls/misoftwa.html#aut

## norm 1.0-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: norm
-Version: 1.0-4
-Date: 2001/01/13
+Version: 1.0-5
+Date: 2001/05/12
 Title: Analysis of multivariate normal datasets with missing values
-Author:	Ported to R by Alvaro A. Novo <novo@uiuc.edu>.
+Author:	Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
 	Original by Joseph L. Schafer <jls@stat.psu.edu>. 
 Maintainer: Alvaro A. Novo <novo@uiuc.edu>
 Description: Analysis of multivariate normal datasets with missing values

## norm 1.0-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: norm
-Version: 1.0-5
-Date: 2001/05/12
+Version: 1.0-6
+Date: 2001/05/13
 Title: Analysis of multivariate normal datasets with missing values
 Author:	Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
 	Original by Joseph L. Schafer <jls@stat.psu.edu>.

## norm 1.0-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: norm
-Version: 1.0-6
-Date: 2001/05/13
+Version: 1.0-7
+Date: 2001/06/16
 Title: Analysis of multivariate normal datasets with missing values
 Author:	Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
 	Original by Joseph L. Schafer <jls@stat.psu.edu>. 
-Maintainer: Alvaro A. Novo <novo@uiuc.edu>
+Maintainer: Alvaro A. Novo <alvaro@novo-online.net>
 Description: Analysis of multivariate normal datasets with missing values
 License: The software may be distributed free of charge and
 		used by anyone if credit is given. It has been tested

## norm 1.0-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: norm
-Version: 1.0-7
-Date: 2001/06/16
+Version: 1.0-8
+Date: 2002/05/05
 Title: Analysis of multivariate normal datasets with missing values
 Author:	Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
 	Original by Joseph L. Schafer <jls@stat.psu.edu>.

## norm 1.0-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: norm
-Version: 1.0-8
-Date: 2002/05/05
+Version: 1.0-9
+Date: 2002/05/06
 Title: Analysis of multivariate normal datasets with missing values
 Author:	Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
 	Original by Joseph L. Schafer <jls@stat.psu.edu>.

## norm 1.0-9.1

=== DESCRIPTION ===
Package: norm
Version: 1.0-9.1
Date: 2002/05/06
Title: Analysis of multivariate normal datasets with missing values
Author:	Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
	Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: ORPHANED
Description: Analysis of multivariate normal datasets with missing values
License: The software may be distributed free of charge and
		used by anyone if credit is given. It has been tested 
		fairly well, but it comes with no guarantees and the 
		authors assume no liability for its use or misuse. 
URL: http://www.stat.psu.edu/~jls/misoftwa.html#aut
Packaged: 2009-06-23 07:06:29 UTC; hornik

## norm 1.0-9.2

=== DESCRIPTION ===
Package: norm
Version: 1.0-9.2
Date: 2009/04/23
Title: Analysis of multivariate normal datasets with missing values
Author: Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
        Original by Joseph L. Schafer <jls@stat.psu.edu>.
Maintainer: John Fox <jfox@mcmaster.ca>
Description: Analysis of multivariate normal datasets with missing
        values
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html#aut
Repository: CRAN
Repository/R-Forge/Project: norm
Repository/R-Forge/Revision: 3
Date/Publication: 2010-04-29 13:04:10
Packaged: 2010-04-23 21:35:15 UTC; rforge

## norm 1.0-9.3

=== DESCRIPTION ===
Package: norm
Version: 1.0-9.3
Date: 2012/08/30
Title: Analysis of multivariate normal datasets with missing values
Author: Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
        Original by Joseph L. Schafer <jls@stat.psu.edu>.
Maintainer: John Fox <jfox@mcmaster.ca>
Description: Analysis of multivariate normal datasets with missing
        values
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html#aut
Repository: CRAN
Repository/R-Forge/Project: norm
Repository/R-Forge/Revision: 6
Packaged: 2012-08-30 18:19:50 UTC; rforge
Date/Publication: 2012-09-02 05:39:42

## norm 1.0-9.4

=== DESCRIPTION ===
Package: norm
Version: 1.0-9.4
Date: 2012/09/02
Title: Analysis of multivariate normal datasets with missing values
Author: Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
        Original by Joseph L. Schafer <jls@stat.psu.edu>.
Maintainer: John Fox <jfox@mcmaster.ca>
Description: Analysis of multivariate normal datasets with missing
        values
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html#aut
Repository: CRAN
Repository/R-Forge/Project: norm
Repository/R-Forge/Revision: 7
Packaged: 2012-09-02 14:19:35 UTC; rforge
Date/Publication: 2012-09-03 05:22:03

## norm 1.0-9.5

=== DESCRIPTION ===
Package: norm
Version: 1.0-9.5
Date: 2013/02/27
Title: Analysis of multivariate normal datasets with missing values
Author: Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
        Original by Joseph L. Schafer <jls@stat.psu.edu>.
Maintainer: John Fox <jfox@mcmaster.ca>
Description: Analysis of multivariate normal datasets with missing
        values
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html#aut
Repository: CRAN
Repository/R-Forge/Project: norm
Repository/R-Forge/Revision: 8
Repository/R-Forge/DateTimeStamp: 2013-02-27 16:01:38
Date/Publication: 2013-02-28 07:11:32
Packaged: 2013-02-27 19:16:19 UTC; rforge
NeedsCompilation: yes
License_restricts_use: no
License_is_FOSS: yes

## norm 1.0-10.0

=== DESCRIPTION ===
Package: norm
Version: 1.0-10.0
Date: 2022-04-02
Title: Analysis of Multivariate Normal Datasets with Missing Values
Author: Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
    Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: John Fox <jfox@mcmaster.ca>
Description: An integrated set of functions for the analysis of 
  multivariate normal datasets with missing values, including implementation of
  the EM algorithm, data augmentation, and multiple imputation.
License: GPL (>= 2)
Imports: stats
Repository: CRAN
Repository/R-Forge/Project: norm
Repository/R-Forge/Revision: 13
Repository/R-Forge/DateTimeStamp: 2022-04-02 21:32:24
Date/Publication: 2022-04-03 19:40:02 UTC
NeedsCompilation: yes
Packaged: 2022-04-02 21:51:20 UTC; rforge

## norm 1.0-11.0

=== DESCRIPTION ===
Package: norm
Version: 1.0-11.0
Date: 2023-04-21
Title: Analysis of Multivariate Normal Datasets with Missing Values
Author: Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
    Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: John Fox <jfox@mcmaster.ca>
Description: An integrated set of functions for the analysis of 
  multivariate normal datasets with missing values, including implementation of
  the EM algorithm, data augmentation, and multiple imputation.
License: GPL (>= 2)
Imports: stats
NeedsCompilation: yes
Packaged: 2023-04-28 19:08:57 UTC; johnfox
Repository: CRAN
Date/Publication: 2023-04-28 20:20:02 UTC

## norm 1.0-11.1

=== DESCRIPTION ===
Package: norm
Version: 1.0-11.1
Date: 2023-06-18
Title: Analysis of Multivariate Normal Datasets with Missing Values
Author: Ported to R by Alvaro A. Novo <alvaro@novo-online.net>.
    Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: John Fox <jfox@mcmaster.ca>
Description: An integrated set of functions for the analysis of 
  multivariate normal datasets with missing values, including implementation of
  the EM algorithm, data augmentation, and multiple imputation.
License: GPL (>= 2)
Imports: stats
Repository: CRAN
Repository/R-Forge/Project: norm
Repository/R-Forge/Revision: 15
Repository/R-Forge/DateTimeStamp: 2023-06-18 14:31:55
Date/Publication: 2023-06-18 23:20:02 UTC
NeedsCompilation: yes
Packaged: 2023-06-18 14:45:10 UTC; rforge

## norm 1.5r6+dfsg1

=== wscript ===
#!/usr/bin/env  
'''
wscript - Waf build script for NORM
See http://waf.googlecode.com/ for more information.

In order to use different build directories (for example, a release and a debug
build), use the -o (--out) flag when configuring.  For example:

    ./waf configure -o build-debug --debug
    ./waf

    ./waf configure -o build-release
    ./waf

'''

import platform

import waflib

# So you don't need to do ./waf configure if you are just using the defaults
waflib.Configure.autoconfig = True

# Top-level project directory
top = '.'
# Directory where build files are placed
out = 'build'

# System waf is running on: linux, darwin (Mac OSX), freebsd, windows, etc.
system = platform.system().lower()

def options(ctx):
    ctx.recurse('protolib')

def configure(ctx):
    ctx.recurse('protolib')

    # Use this USE variable to add flags to NORM's compilation
    ctx.env.USE_BUILD_NORM += ['BUILD_NORM', 'protolib']

    if system in ('linux', 'darwin', 'freebsd'):
        ctx.env.DEFINES_BUILD_NORM += ['ECN_SUPPORT']

    if system == 'windows':
        ctx.env.DEFINES_BUILD_NORM += ['NORM_USE_DLL']

def build(ctx):
    ctx.recurse('protolib')

    ctx.shlib(
        target = 'norm',
        includes = ['include'],
        export_includes = ['include'],
        vnum = '1.0.0',
        use = ctx.env.USE_BUILD_NORM,
        source = ['src/common/{0}.cpp'.format(x) for x in [
            'galois',
            'normApi',
            'normEncoder',
            'normEncoderMDP',
            'normEncoderRS16',
            'normEncoderRS8',
            'normFile',
            'normMessage',
            'normNode',
            'normObject',
            'normSegment',
            'normSession',
        ]],
    )

    if ctx.env.BUILD_PYTHON:
        ctx(
            features='py',
            source=ctx.path.ant_glob('src/pynorm/**/*.py'),
            install_from='src',
        )

    if ctx.env.BUILD_JAVA:
        ctx.shlib(
            target = 'mil_navy_nrl_norm',
            use = ['norm', 'JAVA'],
            source = ['src/java/jni/{0}.cpp'.format(x) for x in [
                'normJni',
                'normInstanceJni',
                'normSessionJni',
                'normObjectJni',
                'normDataJni',
                'normFileJni',
                'normStreamJni',
                'normEventJni',
                'normNodeJni',
            ]],
        )
        ctx(
            features = ['javac', 'jar'],
            srcdir = 'src/java/src',
            outdir = 'src/java/src',
            basedir = 'src/java/src',
            destfile = 'norm.jar',
        )

    normapp = ctx.program(
        target = 'norm',
        # Need to explicitly set a different name, because the  library is also
        # named "norm"
        name = 'normapp',
        use = ['protolib', 'norm'],
        source = ['src/common/{0}'.format(x) for x in [
            'normPostProcess.cpp',
            'normApp.cpp',
        ]],
        # Disabled by default
        posted = True,
    )

    if system in ('linux', 'darwin', 'freebsd'):
        normapp.source.append('src/unix/unixPostProcess.cpp')

    if system == 'windows':
        normapp.source.append('src/win32/win32PostProcess.cpp')

    for example in (
            'normDataExample',
            'normDataRecv',
            'normDataSend',
            'normFileRecv',
            'normFileSend',
            'normStreamRecv',
            'normStreamSend',
            ):
        _make_simple_example(ctx, example)

    for prog in (
            'fecTest',
            'normPrecode',
            'normTest',
            'normThreadTest',
            'raft',
            ):
        _make_simple_example(ctx, prog, 'src/common')

    # Enable example targets specified on the command line
    ctx._parse_targets()

def _make_simple_example(ctx, name, path='examples'):
    '''Makes a task from a single source file in the examples directory.

    These tasks are not built by default.  Use the --targets flag.
    '''
    ctx.program(
        target = name,
        use = ['protolib', 'norm'],
        source = ['{0}/{1}.cpp'.format(path, name)],
        # Don't build examples by default
        posted = True,
        # Don't install examples
        install_path = False,
    )

=== protolib/wscript ===
#!/usr/bin/env python
'''
wscript - Waf build script for Protolib
See http://waf.googlecode.com/ for more information.

In order to use different build directories (for example, a release and a debug
build), use the -o (--out) flag when configuring.  For example:

    ./waf configure -o build-debug --debug
    ./waf

    ./waf configure -o build-release
    ./waf

'''

import platform

import waflib

# So you don't need to do ./waf configure if you are just using the defaults
waflib.Configure.autoconfig = True

# Top-level project directory
top = '.'
# Directory where build files are placed
out = 'build'

# System waf is running on: linux, darwin (Mac OSX), freebsd, windows, etc.
system = platform.system().lower()

def options(ctx):
    ctx.load('compiler_cxx')
    ctx.load('python')
    ctx.load('java')

    bind_opts = ctx.parser.add_option_group('Language Bindings', 'Use during configure step.')
    bind_opts.add_option('--build-python', action='store_true',
            help='Build Python bindings [default:false]')
    bind_opts.add_option('--build-java', action='store_true',
            help='Build Java bindings [default:false]')

    build_opts = ctx.parser.add_option_group('Compile Options', 'Use during build step.')
    build_opts.add_option('--debug', action='store_true',
            help='Build in debug mode [default:release]')
    build_opts.add_option('--enable-wx', action='store_true',
            help='Enable checking for wxWidgets.')

def configure(ctx):
    if system == 'windows':
        ctx.env.MSVC_TARGETS = ['x86']

    ctx.load('compiler_cxx')

    # Use this USE variable to add flags to protolib's compilation
    ctx.env.USE_BUILD_PROTOLIB += ['BUILD_PROTOLIB']

    if system in ('linux', 'darwin', 'freebsd'):
        ctx.env.DEFINES_BUILD_PROTOLIB += ['UNIX', 'HAVE_DIRFD', 'HAVE_IPV6',
                'HAVE_ASSERT', 'HAVE_GETLOGIN']

        ctx.check_cxx(lib='pthread')
        ctx.env.USE_BUILD_PROTOLIB += ['PTHREAD']

        if ctx.options.enable_wx:
            ctx.check_cfg(path='wx-config', args=['--cxxflags', '--libs'],
                    package='', uselib_store='WX', mandatory=False)

    if system == 'linux':
        ctx.env.DEFINES_BUILD_PROTOLIB += ['_FILE_OFFSET_BITS=64',
                'HAVE_LOCKF', 'HAVE_OLD_SIGNALHANDLER', 'HAVE_SCHED', 'LINUX',
                'HAVE_TIMERFD', 'NO_SCM_RIGHTS']

        ctx.check_cxx(lib='dl rt')
        ctx.env.USE_BUILD_PROTOLIB += ['DL', 'RT']

        ctx.env.HAVE_NETFILTER_QUEUE = ctx.check_cxx(lib='netfilter_queue',
                mandatory=False)

    if system == 'darwin':
        ctx.env.DEFINES_BUILD_PROTOLIB += ['MACOSX', 'HAVE_FLOCK',
                '_FILE_OFFSET_BITS=64', 'HAVE_DIRFD', 'HAVE_PSELECT']
        ctx.check_cxx(lib='resolv')
        ctx.env.USE_BUILD_PROTOLIB += ['RESOLV']

    if system == 'freebsd':
        ctx.env.DEFINES_BUILD_PROTOLIB += ['HAVE_FLOCK']

    if system == 'windows':
        ctx.env.DEFINES_BUILD_PROTOLIB += ['_CRT_SECURE_NO_WARNINGS',
                'HAVE_ASSERT', 'WIN32', 'HAVE_IPV6']
        #ctx.env.CXXFLAGS += ['/EHsc']
        ctx.check_libs_msvc(['ws2_32', 'iphlpapi', 'user32', 'gdi32', 'Advapi32'])
        ctx.env.USE_BUILD_PROTOLIB += ['WS2_32', 'IPHLPAPI', 'USER32', 'GDI32', 'ADVAPI32']

    if ctx.options.build_python:
        ctx.load('python')
        ctx.check_python_version((2,4))
        ctx.check_python_headers()
        if ctx.env.PYTHON_VERSION.split('.')[0] != '2':
            waflib.Logs.warn('Python bindings currently only support Python 2')
            ctx.env.BUILD_PYTHON = False
        else:
            ctx.env.BUILD_PYTHON = True

    if ctx.options.build_java:
        ctx.load('java')
        ctx.check_jni_headers()
        for i in ctx.env.DEFINES:
            if i == 'HAVE_JNI_H=1':
                ctx.env.BUILD_JAVA = True

    # Compiler-specific flags

    if ctx.options.debug:
        ctx.env.DEFINES_BUILD_PROTOLIB += ['PROTO_DEBUG', 'DEBUG', '_DEBUG']
    else:
        ctx.env.DEFINES_BUILD_PROTOLIB += ['NDEBUG']

    if ctx.env.COMPILER_CXX == 'g++' or ctx.env.COMPILER_CXX == 'clang++':
        ctx.env.CFLAGS += ['-fPIC']
        ctx.env.CXXFLAGS += ['-fPIC']
        if ctx.options.debug:
            ctx.env.CFLAGS += ['-O0', '-g']
            ctx.env.CXXFLAGS += ['-O0', '-g']
        else:
            ctx.env.CFLAGS += ['-O3']
            ctx.env.CXXFLAGS += ['-O3']

    if ctx.env.COMPILER_CXX == 'msvc':
        if ctx.options.debug:
            ctx.env.CFLAGS += ['/Od', '/RTC1', '/ZI']
        else:
            ctx.env.CXXFLAGS += ['/Ox', '/DNDEBUG']
        ctx.env.CFLAGS

def build(ctx):
    protolib = ctx.stlib(
        target = 'protolib',
        includes = ['include', 'include/unix'],
        export_includes = ['include', 'include/unix'],
        use = ctx.env.USE_BUILD_PROTOLIB,
        source = ['src/common/{0}.cpp'.format(x) for x in [
            'protoAddress',
            'protoApp',
            'protoBase64',
            'protoBitmask',
            'protoCap',
            'protoChannel',
            'protoDebug',
            'protoDispatcher',
            'protoGraph',
            'protoLFSR',
            'protoList',
            'protoNet',
            'protoPipe',
            'protoPkt',
            'protoPktARP',
            'protoPktETH',
            'protoPktIP',
            'protoPktRTP',
            'protoQueue',
            'protoRouteMgr',
            'protoRouteTable',
            'protoSerial',
            'protoSocket',
            'protoSpace',
            'protoTime',
            'protoTimer',
            'protoTree',
            'protoVif',
        ]]
    )

    if system in ('linux', 'darwin', 'freebsd'):
        protolib.source.extend(['src/unix/{0}.cpp'.format(x) for x in [
            'unixNet',
            'unixSerial',
            'unixVif',
        ]])
        protolib.source.extend(['src/manet/{0}.cpp'.format(x) for x in [
            'manetGraph',
            'manetMsg',
        ]])
        protolib.source.append('src/common/protoFile.cpp')

    if system == 'linux':
        protolib.source.extend(['src/linux/{0}.cpp'.format(x) for x in [
            'linuxCap',
            'linuxNet',
            'linuxRouteMgr',
        ]])
        if ctx.env.HAVE_NETFILTER_QUEUE:
            protolib.source.append('src/linux/linuxDetour.cpp')
            protolib.use.append('NETFILTER_QUEUE')

    if system in ('darwin', 'freebsd'):
        protolib.source.extend(['src/bsd/{0}.cpp'.format(x) for x in [
            'bsdDetour',
            'bsdNet',
            'bsdRouteMgr',
        ]])
        protolib.source.append('src/unix/bpfCap.cpp')

    if system == 'windows':
        protolib.source.extend(['src/win32/{0}.cpp'.format(x) for x in [
            'win32Net',
            'win32RouteMgr',
        ]])

    # Only add wxWidgets support if we have the libraries installed
    if ctx.env.HAVE_WX:
        protolib.source.append('src/wx/wxProtoApp.cpp')
        protolib.use.append('WX')

    # Language bindings
    if ctx.env.BUILD_PYTHON:
        ctx.shlib(
            features = 'pyext',
            target = 'protokit',
            name = 'pyprotokit',
            use = ['protolib'],
            source = ['src/python/protokit.cpp'],
        )

    if ctx.env.BUILD_JAVA:
        ctx.shlib(
            target = 'ProtolibJni',
            use = ['protolib', 'JAVA'],
            source = ['src/java/protoPipeJni.cpp'],
        )
        ctx(
            features = ['javac', 'jar'],
            srcdir = 'src/java/src',
            outdir = 'src/java/src',
            basedir = 'src/java/src',
            destfile = 'protolib-jni.jar',
        )

    # Example programs to build (not built by default, see below).
    for example in (
            'base64Example',
            'detourExample',
            'graphExample',
            'graphRider',
            'lfsrExample',
            'msg2MsgExample',
            'msgExample',
            'netExample',
            'pcapExample',
            'pipe2SockExample',
            'pipeExample',
            'protoCapExample',
            'protoExample',
            'protoFileExample',
            'queueExample',
            'serialExample',
            'simpleTcpExample',
            'sock2PipeExample',
            'threadExample',
            'timerTest',
            'vifExample',
            'vifLan',
            'wxProtoExample',
            ):
        _make_simple_example(ctx, example)

    # Enable example targets specified on the command line
    ctx._parse_targets()

def _make_simple_example(ctx, name):
    '''Makes a task from a single source file in the examples directory.

    These tasks are not built by default.  Use the --targets flag.
    '''
    ctx.program(
        target = name,
        use = ['protolib'],
        source = ['examples/{0}.cpp'.format(name)],
        # Don't build examples by default
        posted = True,
        # Don't install examples
        install_path = False,
    )

# Attach this method to the build context
@waflib.Configure.conf
def _parse_targets(ctx):
    '''Explicitly enable any targets (examples) set on the command line.

    See the "waf list" command and "waf --targets=target1,target2"
    Use --targets=* to build all examples
    '''
    for task in ctx.get_group(None):
        if ctx.targets == '*' or task.target in ctx.targets.split(','):
            task.posted = False

=== debian/changelog ===
norm (1.5r6+dfsg1-6) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3, no changes.
  * Mark libnorm-doc as Multiarch: foreign.

 -- Luca Boccassi <bluca@debian.org>  Sun, 31 Dec 2017 14:19:25 +0100

norm (1.5r6+dfsg1-5) unstable; urgency=medium

  * libnorm-doc: drop Recommends on rarian-compat, deprecated.
    (Closes: #885652)

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Dec 2017 23:16:40 +0100

norm (1.5r6+dfsg1-4) unstable; urgency=medium

  * Update Hurd patch to fix undefined reference errors with ProtoNet
    APIs due to missing object files from shared library.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Dec 2017 21:42:57 +0000

norm (1.5r6+dfsg1-3) unstable; urgency=medium

  * Add patch to fix FTBS on GNU/Hurd. (Closes: #884485)

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Dec 2017 23:07:41 +0000

norm (1.5r6+dfsg1-2) unstable; urgency=medium

  * Add patch to fix FTBS on big endian architectures.
    Thanks Adrian Bunk for the patch! (Closes: #884202)

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Dec 2017 23:03:05 +0000

norm (1.5r6+dfsg1-1) unstable; urgency=low

  * Initial packaging. (Closes: #878821)

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 Oct 2017 13:51:09 +0100

=== debian/control ===
Source: norm
Section: libs
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 9), python
Homepage: https://www.nrl.navy.mil/itd/ncs/products/norm

Package: libnorm1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: NACK-Oriented Reliable Multicast (NORM) library
 The NORM protocol is designed to provide end-to-end reliable transport of
 bulk data objects or streams over generic IP multicast routing and forwarding
 services.
 libnorm provides a shared library and an API to use such protocol.

Package: libnorm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libnorm-doc
Depends: ${misc:Depends}, libnorm1 (= ${binary:Version}),
Description: NACK-Oriented Reliable Multicast (NORM) library
 The NORM protocol is designed to provide end-to-end reliable transport of
 bulk data objects or streams over generic IP multicast routing and forwarding
 services.
 libnorm provides a shared library and an API to use such protocol.
 .
 This package provides the development files for norm.

Package: libnorm-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Recommends: dwww | dhelp | doc-central
Depends: ${misc:Depends},
Description: NACK-Oriented Reliable Multicast (NORM) library
 The NORM protocol is designed to provide end-to-end reliable transport of
 bulk data objects or streams over generic IP multicast routing and forwarding
 services.
 libnorm provides a shared library and an API to use such protocol.
 .
 This package provides the documentation and examples for norm.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# For SOURCE_DATE_EPOCH, used in debian/repack-waf by uscan in get-orig-source
include /usr/share/dpkg/default.mk

# On older distros +pie will add -fPIE -pie to the library linkage, which breaks
# it, -fPIC is enough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
WAF = ./waf -v

%:
	dh $@ --parallel

get-orig-source:
	uscan --force-download --download-current-version --destdir=. -v

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(WAF) build

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/" \
                -e "s|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g" \
                debian/norm.pc.in > \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/norm.pc

override_dh_auto_clean:
	$(WAF) distclean
	find waflib -name "*.pyc" -delete

## norm 1.5.8%2Bdfsg2

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 9), python
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 9), python, libpcap-dev [hurd-i386],
 Homepage: https://www.nrl.navy.mil/itd/ncs/products/norm
 
 Package: libnorm1
@@ -23,6 +23,7 @@
 Multi-Arch: same
 Suggests: libnorm-doc
 Depends: ${misc:Depends}, libnorm1 (= ${binary:Version}),
+         libpcap-dev [hurd-i386],
 Description: NACK-Oriented Reliable Multicast (NORM) library
  The NORM protocol is designed to provide end-to-end reliable transport of
  bulk data objects or streams over generic IP multicast routing and forwarding

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
https://downloads.pf.itd.nrl.navy.mil/norm/src-norm-(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian debian/repack-waf

## norm 1.5.8+dfsg1

=== debian/changelog ===
norm (1.5.8+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.5.8.
  * Drop patches merged upstream.
  * Bump Standards-Version to 4.1.5, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 23 Jul 2018 10:43:05 +0100

norm (1.5.7+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.5.7.
  * Drop patches merged upstream.
  * Update fix-ftbs-debian-kfreebsd.patch and gcc-warnings.patch for 1.5.7.
  * Add symbols file and symbols.patch to restrict symbols visibility
    to public API only.
  * Add libpcap-dev build-dependency on Hurd. Equivalent functionality on
    Linux does not require libpcap.

 -- Luca Boccassi <bluca@debian.org>  Mon, 02 Jul 2018 10:25:21 +0100

norm (1.5r6+dfsg1-9) unstable; urgency=medium

  * Really enable static library by fixing d/rules waf parameters.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Jun 2018 10:42:07 +0100

norm (1.5r6+dfsg1-8) unstable; urgency=medium

  * Add patch to build and install static library, and update norm.pc.
  * Add patch to fix gcc 7 compiler warnings.
  * Remove get-orig-source target to comply with Policy version 4.1.4.
  * Bump Standards-Version to 4.1.4.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Jun 2018 00:11:38 +0100

norm (1.5r6+dfsg1-7) unstable; urgency=medium

  * Add patch to fix FTBS on Debian GNU/kFreeBSD.

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Apr 2018 15:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.1.5
 Build-Depends: debhelper (>= 9), python, libpcap-dev [hurd-i386],
 Homepage: https://www.nrl.navy.mil/itd/ncs/products/norm
 
@@ -23,7 +23,6 @@
 Multi-Arch: same
 Suggests: libnorm-doc
 Depends: ${misc:Depends}, libnorm1 (= ${binary:Version}),
-         libpcap-dev [hurd-i386],
 Description: NACK-Oriented Reliable Multicast (NORM) library
  The NORM protocol is designed to provide end-to-end reliable transport of
  bulk data objects or streams over generic IP multicast routing and forwarding

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# For DEB_HOST_MULTIARCH and DEB_VERSION_UPSTREAM
include /usr/share/dpkg/default.mk

# On older distros +pie will add -fPIE -pie to the library linkage, which breaks
# it, -fPIC is enough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
WAF = ./waf -v

%:
	dh $@ --parallel

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(WAF) build --enable-static-library

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp --enable-static-library
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/" \
                -e "s|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g" \
                debian/norm.pc.in > \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/norm.pc

override_dh_auto_clean:
	$(WAF) distclean
	find waflib -name "*.pyc" -delete
